=== dist/archlinux/stable/PKGBUILD ===
# Maintainer: Mattias Andrée <`base64 -d`(bWFhbmRyZWUK)@member.fsf.org>
pkgname=util-say
pkgver=3.2
pkgrel=1
pkgdesc="Tools for creating ponies for cowsay and cowsay-like programs"
arch=('any')
url="https://github.com/maandree/util-say"
license=('GPL3')
depends=('java-runtime>=6')
makedepends=('java-environment>=6' 'bash')
optdepends=('imagemagick: allows imgsrcrecovery to read frames in GIF files' 'perl: required for cowsay import support')
provides=('util-say')
conflicts=('util-say')
source=(https://github.com/maandree/util-say/tarball/$pkgver)
md5sums=(188b5d178bc2c3dc01ad870f433ce110)

build() {
  cd maandree-util-say-*
  make -B DESTDIR="$pkgdir/"
}

package() {
  cd maandree-util-say-*
  make DESTDIR="$pkgdir/" install
}
